# $Revision: 1.29 $, $Date: 2012/01/15 12:31:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Class
Summary:	Test::Class - easily create test classes in an xUnit style
Summary(pl.UTF-8):	Test::Class - łatwe tworzenie testowych klas w stylu xUnit
Name:		perl-Test-Class
Version:	0.36
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9d33a80215754b4e5234e9116088f403
URL:		http://search.cpan.org/dist/Test-Class/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Attribute-Handlers >= 0.77
BuildRequires:	perl-Class-ISA >= 0.32
BuildRequires:	perl-Devel-Symdump
BuildRequires:	perl-Test-Simple >= 0.46
BuildRequires:	perl-Test-Builder-Tester >= 1.04
BuildRequires:	perl-Test-Differences >= 0.43
BuildRequires:	perl-Test-Exception >= 0.10
%endif
Requires:	perl(IO::File) >= 1.14
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Class provides a simple way of creating classes and objects to
test your code in an xUnit style.

%description -l pl.UTF-8
Test::Class udostępnia prosty sposób tworzenia klas i obiektów,
testujących Twój kod w stylu xUnit.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Class.spec,v $
Revision 1.29  2012/01/15 12:31:25  zbyniu
- up to 0.36

Revision 1.28  2009/10/16 06:26:03  amateja
- updated to 0.33

Revision 1.27  2008/12/13 15:37:21  agaran
- up to 0.31

Revision 1.26  2007/12/30 23:20:14  zbyniu
- up to 0.27

Revision 1.25  2007-03-31 16:46:11  qboosh
- generic URL

Revision 1.24  2007/03/27 10:34:15  radek
- release 2: BR T::B::T >= 1.04

Revision 1.23  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.21  2006/10/21 19:47:57  ankry
- added R:

Revision 1.20  2006/10/21 19:21:20  ankry
- ver. 0.20

Revision 1.19  2005/05/05 00:46:15  ankry
- updated to 0.11

Revision 1.18  2005/01/09 15:00:09  adamg
- updated to 0.07

Revision 1.17  2004/11/03 22:30:47  paladine
- formatting

Revision 1.16  2004/06/01 15:37:16  radek
- turned off t/pod.t (dumb, meaningless and failing test)

Revision 1.15  2004/05/07 01:09:25  ankry
- rel. 3

Revision 1.14  2004/05/06 18:21:13  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/03 00:55:42  ankry
- license fixes, cosmetics

Revision 1.12  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.11  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.10  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:49  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:33  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.1  2002/08/29 11:06:43  radek
- new, STBR
